//----------------------------------------------------------------------------------------------------
//
//	ColorBrowserInspector
//
//	Inherits From:		IBInspector
//
//	Declared In:		ColorBrowserInspector.h
//
//	Class Description
//
//		ColorBrowserInspector manages IB Attributes inspection for
//		an instance of the ColorBrowser class.
//
//
//	Disclaimer
//
//		You may freely copy, distribute and reuse this software and its
//		associated documentation. I disclaim any warranty of any kind, 
//		expressed or implied, as to its fitness for any particular use.
//
//----------------------------------------------------------------------------------------------------
#import <apps/InterfaceBuilder.h>


@interface ColorBrowserInspector : IBInspector
{
	id	colorBrowser;
	id	colorPanel;
   	id    	horizontalScrolling;
    	id    	verticalScrolling;
    	id    	options;
	id	font;
}


//----------------------------------------------------------------------------------------------------
//	Setting Attributes
//----------------------------------------------------------------------------------------------------
- setTextColor;
- setHorizontalScrolling;
- setVerticalScrolling;
- setOptions;


//----------------------------------------------------------------------------------------------------
//	Reverting Attributes
//----------------------------------------------------------------------------------------------------
- revertTextColor;
- revertHorizontalScrolling;
- revertVerticalScrolling;
- revertOptions;


@end