/*	Part of FlipPalette from Biztech, Inc.
	info@biztech.com
	203-328-3711
	
	by Ken Anderson	anderson@biztech.com

Revision History:

Initial release:	6/1/93	KHA

*/

#import <appkit/appkit.h>

typedef enum {NONE, LINE, BEZEL, GROOVE} BORDER_TYPE;

@interface FlipView:View
{
	id	delegate;
	id	currentView, currentParent, newParent, connectionList;
	int	currentTag, maxTag, launchTag;
	const char *currentTagName;
	id	tagHash, tagNameHash;
	BOOL responds;
	BORDER_TYPE withContentsBorder, noContentsBorder;
}

- initFrame:(const NXRect *)frameRect;
- setup;
- free;
- tagFlip:sender;
- flipToTag:(int)aNum;
- titleFlip:sender;
- flipToName:(const char *) name;
- currentView;
- (int) currentTag;
- (const char *) currentTagName;
- setWithContentsBorder:(BORDER_TYPE) border;
- (BORDER_TYPE) withContentsBorder;
- setNoContentsBorder:(BORDER_TYPE) border;
- (BORDER_TYPE) noContentsBorder;
- setDelegate:obj;
- delegate;
- (int) addContainer:obj;
- (BOOL) addContainer:obj withTag:(int) tag;
- (BOOL) addContainer:obj withName:(const char *) name;
- (BOOL) addContainer:obj withTag:(int) tag withName:(const char *) name;
- flipToConnector:newConnector;
- sizeTo:(NXCoord)width :(NXCoord)height;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- (const char *) getInspectorClassName;
- (const char *) getConnectInspectorClassName;
- addConnector:obj;
- set:obj toSize:(NXSize *) size;
- awake;
- awakeFromNib;
- read:(NXTypedStream *) s;
- write:(NXTypedStream *) s;

@end

@interface FlipView(delegateMethods)

- viewChanged:source;

@end