//----------------------------------------------------------------------------------------------------
//
//	KeyDownBrowserInspector
//
//	Inherits From:		IBInspector
//
//	Declared In:		KeyDownBrowserInspector.h
//
//	Class Description
//
//		KeyDownBrowserInspector manages IB Attributes inspection for
//		an instance of the KeyDownBrowser class.
//
//
//	Disclaimer
//
//		You may freely copy, distribute and reuse this software and its
//		associated documentation. I disclaim any warranty of any kind, 
//		expressed or implied, as to its fitness for any particular use.
//
//----------------------------------------------------------------------------------------------------
#import <apps/InterfaceBuilder.h>


@interface KeyDownBrowserInspector : IBInspector
{
   	id    	horizontalScrolling;
    	id    	verticalScrolling;
    	id    	options;
	id	caseSensitiveSearch;
	id	inputTimeOut;
}


//----------------------------------------------------------------------------------------------------
//	Setting Attributes
//----------------------------------------------------------------------------------------------------
- setHorizontalScrolling;
- setVerticalScrolling;
- setOptions;
- setCaseSensitiveSearch;
- setInputTimeOut;


//----------------------------------------------------------------------------------------------------
//	Reverting Attributes
//----------------------------------------------------------------------------------------------------
- revertHorizontalScrolling;
- revertVerticalScrolling;
- revertOptions;
- revertCaseSensitiveSearch;
- revertInputTimeOut;


@end